<?php
function open_image ($file) {
    # JPEG:
    $im = @imagecreatefromjpeg($file);
    if ($im !== false) { return $im; }

    # GIF:
    $im = @imagecreatefromgif($file);
    if ($im !== false) { return $im; }

    # PNG:
    $im = @imagecreatefrompng($file);
    if ($im !== false) { return $im; }

    # GD File:
    $im = @imagecreatefromgd($file);
    if ($im !== false) { return $im; }

    # GD2 File:
    $im = @imagecreatefromgd2($file);
    if ($im !== false) { return $im; }

    # WBMP:
    $im = @imagecreatefromwbmp($file);
    if ($im !== false) { return $im; }

    # XBM:
    $im = @imagecreatefromxbm($file);
    if ($im !== false) { return $im; }

    # XPM:
    $im = @imagecreatefromxpm($file);
    if ($im !== false) { return $im; }

    # Try and load from string:
    $im = @imagecreatefromstring(file_get_contents($file));
    if ($im !== false) { return $im; }

    return false;
}

if ($_GET) {
    // No image?
    $imagepath = $_GET['url'];
    // Load image
    $image = open_image($imagepath);

    if ($image == false) {
        die ('<strong>You linked an invalid image.</strong>');
    }

    // Get original width and height
    $width = imagesx($image);
    $height = imagesy($image);

    // Percentage?
    if (!empty($_GET['percent']) AND is_numeric($_GET['percent'])) {
        $percent = floatval($_GET['percent']);
        $percent = $percent/100;
        $new_width = $width * $percent;
        $new_height = $height * $percent;

    // New width? Calculate new height
    } elseif (!empty($_GET['new_width']) AND is_numeric($_GET['new_width'])) {
        $new_width = floatval($_GET['new_width']);
        $new_height = $height * ($new_width/$width);

    // New height? Calculate new width
    } elseif (!empty($_GET['new_height']) AND is_numeric($_GET['new_height'])) {
        $new_height = floatval($_POST['new_height']);
        $new_width = $width * ($new_height/$height);

    // New height and new width
    } elseif (!empty($_GET['height']) AND is_numeric($_GET['height']) AND !empty($_GET['width']) AND is_numeric($_GET['width'])) {
        $new_height = floatval($_GET['height']);
        $new_width = floatval($_GET['width']);
    } else {
        die ('<strong>You didn\'t specify any resizing options.</strong>');
    }    

    // Resample
    $image_resized = imagecreatetruecolor($new_width, $new_height);
    imagecopyresampled($image_resized, $image, 0, 0, 0, 0, $new_width, $new_height, $width, $height);

    function findexts ($filename)
    {
    $filename = strtolower($filename) ;
    $exts = split("[/\\.]", $filename) ;
    $n = count($exts)-1;
    $exts = $exts[$n];
    return $exts;
    } 
    
	$ext = findexts($imagepath);

    // Display resized image
    header('Content-type: image/jpeg');
    imagejpeg($image_resized);
    die();

	
}
?>
